etherdump
=========

Tool to publish [etherpad](http://etherpad.org/) pages to files.


Requirements
-------------

None beyond standard lib.


Installation
-------------

    python setup.py install

Padinfo file
-------------
All pad-specific settings are loaded from a file called "padinfo.json" -- by default etherdump looks in the current directory. Make a copy of padinfo.sample.json to start one. Make sure to check that the URL and port settings are correct, and to paste the correct apikey here!

    cp padinfo.sample.json ~/yourfolder/padinfo.json
    nano padinfo.json

And then for instance:

    etherdump list


subcommands
----------

* sync
* list
* listauthors
* gettext
* gethtml
* creatediffhtml
* revisionscount

To get help on a subcommand:

	etherdump revisionscount --help

file sync
----------
epfs?
pad to file

etherdump init http://localhost:9001/ --path foo
etherdump status
    compare state of files to etherpad & report
etherdump pull <padid/path>
etherdump sync
	push / pull file contents to pad

why
-------
Etherdump is useful as a means of dumping the contents of etherpad to files, as a way of opening up the contents of the service to other services / methods / uses / tools / situations. (Files also of course allow for archival tools / methods)